<template>
	<div id="content" class="app-sorts">
		<AppNavigation>
			<ul>
				<AppNavigationItem :title="t('sorts', 'Files and filters')"
					:class="{active: !isFilter}"
					@click="isFilter = false" />
			</ul>
		</AppNavigation>
		<AppContent class="sorts-app-content">
			<PathBreadcrumbs v-show="!isFilter" />
			<Filters :is-filter="isFilter" @toggle-filters="isFilter = !isFilter" />
			<FileExplorer v-if="!isFilter" />
		</AppContent>
	</div>
</template>

<script>
import '@nextcloud/dialogs/styles/toast.scss'
import AppContent from '@nextcloud/vue/dist/Components/AppContent'
import AppNavigation from '@nextcloud/vue/dist/Components/AppNavigation'
import AppNavigationItem from '@nextcloud/vue/dist/Components/AppNavigationItem'
import PathBreadcrumbs from './Components/PathBreadcrumbs'
import Filters from './Components/Filters'
import FileExplorer from './Components/FileExplorer'

export default {
	name: 'App',
	components: {
		AppContent,
		AppNavigation,
		AppNavigationItem,
		PathBreadcrumbs,
		Filters,
		FileExplorer,
	},
	data() {
		return {
			isFilter: false,
		}
	},
}
</script>
<style scoped>
	#app-content > div {
		width: 100%;
		height: 100%;
		padding: 20px;
		display: flex;
		flex-direction: column;
		flex-grow: 1;
	}

	.sorts-app-content {
		padding-left: 4px;
	}
	@media (min-width: 640px) {
		.sorts-app-content {
			padding-left: 20px;
		}
	}
</style>
